#include "baby_dragon.h"

#include "constants.h"

baby_dragon::baby_dragon(RNG *rng, const feature enabled_features,
                         const position &pos, const int gen_room_num):
        enemy_base{rng, enabled_features, BABY_DRAGON, pos, gen_room_num, "B"} {}

const char *baby_dragon::get_race_name() const {
        return "Baby_Dragon";
}

void baby_dragon::apply_effect(std::unique_ptr<potion> effect) {
        return;
}
